summaryrefslogtreecommitdiffstats
path: root/Lib/plat-irix6/regen
diff options
context:
space:
mode:
authorGuido van Rossum <guido@python.org>1997-01-15 19:19:19 (GMT)
committerGuido van Rossum <guido@python.org>1997-01-15 19:19:19 (GMT)
commit1ce7c6fde8a8879ec64242dc0d01b660b934633a (patch)
treef78fea84c78ace252a19a20cd1888dd3c220657f /Lib/plat-irix6/regen
parent6ad8d13fe2a9c023969d184554aeb1e557115f57 (diff)
downloadcpython-1ce7c6fde8a8879ec64242dc0d01b660b934633a.zip
cpython-1ce7c6fde8a8879ec64242dc0d01b660b934633a.tar.gz
cpython-1ce7c6fde8a8879ec64242dc0d01b660b934633a.tar.bz2
Irix 6 specific files -- thanks Sjoerd!
Diffstat (limited to 'Lib/plat-irix6/regen')
-rwxr-xr-xLib/plat-irix6/regen13
1 files changed, 13 insertions, 0 deletions
diff --git a/Lib/plat-irix6/regen b/Lib/plat-irix6/regen
new file mode 100755
index 0000000..4c4ea5c
--- /dev/null
+++ b/Lib/plat-irix6/regen
@@ -0,0 +1,13 @@
+#! /bin/sh
+case `uname -sr` in
+'IRIX '[45].*) ;;
+*) echo Probably not on an IRIX system 1>&2
+ exit 1;;
+esac
+set -v
+h2py /usr/include/sys/fcntl.h
+h2py /usr/include/sys/file.h
+h2py /usr/include/sys/socket.h
+h2py -i '(u_long)' /usr/include/netinet/in.h
+h2py /usr/include/sys/termios.h
+h2py /usr/include/errno.h